%define api		2.1
%define	major		7
%define libname		%mklibname event %{major}
%define develname	%mklibname event -d

Summary:	Abstract asynchronous event notification library
Name:		libevent
Version:	2.1.12
Release:	%mkrel 5
Group:		System/Libraries
License:	BSD
URL:		https://www.monkey.org/~provos/libevent
Source0:	https://github.com/libevent/libevent/releases/download/release-%{version}-stable/%{name}-%{version}-stable.tar.gz
Patch0:		libevent-version-info-only.patch
Patch1:		libevent-linkage_fix.diff
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	pkgconfig(openssl)
BuildRequires:	doxygen

%description
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/C
Provides:	event-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

This package contains the static libevent library and its header files needed
to compile applications such as stegdetect, etc.

%prep
%autosetup -p1 -n %{name}-%{version}-stable

%build
autoreconf -fi

%configure --enable-doxygen-doc --enable-doxygen-man \
           --disable-dependency-tracking --disable-static
%make_build all

%install
%make_install

# don't enforce python deps here
rm -f %{buildroot}%{_bindir}/event_rpcgen.py

# provide man pages
install -d %{buildroot}%{_mandir}/man3
install -m0644 doxygen/man/man3/*.3 %{buildroot}%{_mandir}/man3/

# delete html docs
rm -rf %{buildroot}%{_docdir}/%{name}

# add compat symlink (mga#34063)
pushd %{buildroot}%{_libdir}
ln -s libevent.so.%{major}.* libevent-%{api}.so.%{major}
popd

%files -n %{libname}
%{_libdir}/libevent.so.%{major}{,.*}
%{_libdir}/libevent-%{api}.so.%{major}{,.*}
%{_libdir}/libevent_core.so.%{major}{,.*}
%{_libdir}/libevent_extra.so.%{major}{,.*}
%{_libdir}/libevent_openssl.so.%{major}{,.*}
%{_libdir}/libevent_pthreads.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Wed Mar 05 2025 daviddavid <daviddavid> 2.1.12-5.mga10
+ Revision: 2161084
- add a compat symlink "libevent-2.1.so.7" for third_party pkgs which
  could need it (mga#34063)

* Fri Mar 18 2022 umeabot <umeabot> 2.1.12-4.mga9
+ Revision: 1798805
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 ovitters <ovitters> 2.1.12-3.mga9
+ Revision: 1754772
- rebuild for openssl 3.0

* Sat Oct 02 2021 wally <wally> 2.1.12-2.mga9
+ Revision: 1747432
- rebuild for openssl 3.0.0

* Wed Oct 14 2020 luigiwalser <luigiwalser> 2.1.12-1.mga8
+ Revision: 1636056
- 2.1.12
- rediff patch 0
- remove patch 2 (no longer needed)
- fix man pages build and installation

* Sat Feb 15 2020 daviddavid <daviddavid> 2.1.11-1.mga8
+ Revision: 1527332
- new version: 2.1.11
- now libmajor is 7
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jul 13 2019 daviddavid <daviddavid> 2.1.10-1.mga8
+ Revision: 1420903
- new version: 2.1.10
- rediff version-info-only and linkage_fix patches

* Sun Sep 23 2018 umeabot <umeabot> 2.1.8-3.mga7
+ Revision: 1298831
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 guillomovitch <guillomovitch> 2.1.8-2.mga7
+ Revision: 1134225
- rebuild for latest openssl

* Sat Feb 11 2017 mrambo3501 <mrambo3501> 2.1.8-1.mga6
+ Revision: 1085772
- version 2.1.8 fixes CVE-2016-1019[5-7]
- modified patch 0 to apply to new version

* Wed Mar 02 2016 umeabot <umeabot> 2.0.22-3.mga6
+ Revision: 983568
- Rebuild for openssl

* Tue Feb 09 2016 umeabot <umeabot> 2.0.22-2.mga6
+ Revision: 951674
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 luigiwalser <luigiwalser> 2.0.22-1.mga5
+ Revision: 808838
- 2.0.22 (fixes CVE-2014-6272)
- remove patch 3 (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.21-7.mga5
+ Revision: 745005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.21-6.mga5
+ Revision: 681447
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.0.21-5.mga4
+ Revision: 540658
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 2.0.21-4.mga4
+ Revision: 494109
- rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.21-3.mga3
+ Revision: 357066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 guillomovitch <guillomovitch> 2.0.21-2.mga3
+ Revision: 336587
- fix build with automake 1.13, and fix virtual packages names

* Sat Nov 24 2012 luigiwalser <luigiwalser> 2.0.21-1.mga3
+ Revision: 321658
- 2.0.21

* Sun Aug 26 2012 fedya <fedya> 2.0.20-1.mga3
+ Revision: 284032
- version update 2.0.20

* Fri Jun 01 2012 dams <dams> 2.0.19-1.mga3
+ Revision: 252745
- new version 2.0.19

* Tue Mar 06 2012 luigiwalser <luigiwalser> 2.0.17-1.mga2
+ Revision: 219467
- 2.0.17

* Sun Jan 22 2012 fwang <fwang> 2.0.16-1.mga2
+ Revision: 199382
- new version 2.0.16

* Sun Nov 27 2011 tv <tv> 2.0.14-1.mga2
+ Revision: 172641
- new release
- patch 2: enable man pages
- new release

* Thu Jul 14 2011 fwang <fwang> 2.0.12-1.mga2
+ Revision: 123953
- new version 2.0.12

* Sat Jan 22 2011 ahmad <ahmad> 2.0.10-2.mga1
+ Revision: 31856
- drop old/unneeded scriptlets
- imported package libevent


* Wed Dec 22 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-1mdv2011.0
+ Revision: 623856
- 2.0.10

* Mon Jul 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.14b-1mdv2011.0
+ Revision: 551246
- 1.4.14b

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.13-2mdv2010.1
+ Revision: 480186
- rebuilt because it got stucked in the build system for too long
- 1.4.13

* Sat Aug 08 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.12-1mdv2010.0
+ Revision: 411797
- 1.4.12

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.11-1mdv2010.0
+ Revision: 384826
- 1.4.11
- rediff patches

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 1.4.10-1mdv2010.0
+ Revision: 370694
- New version 1.4.10

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-2mdv2009.1
+ Revision: 314868
- rebuild

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-1mdv2009.1
+ Revision: 311849
- 1.4.8

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 1.4.7-1mdv2009.0
+ Revision: 282562
- update to new version 1.4.7

* Sun Aug 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-1mdv2009.0
+ Revision: 270203
- 1.4.6

* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-2mdv2009.0
+ Revision: 238957
- fix build
- fix linkage (P1)

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-1mdv2009.0
+ Revision: 229607
- 1.4.5
- had to use %%define _disable_ld_no_undefined 1 to make it build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-1mdv2009.0
+ Revision: 207029
- 1.4.4
- rediffed P0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 1.4.1-0.beta.1mdv2008.1
+ Revision: 139184
- New version 1.4.1 beta

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3e-1mdv2008.1
+ Revision: 92785
- 1.3e

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 1.3d-1mdv2008.0
+ Revision: 64123
- New version 1.3d

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3c-1mdv2008.0
+ Revision: 57037
- 1.3c


* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3b-1mdv2007.0
+ Revision: 132036
- 1.3b

* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3a-1mdv2007.1
+ Revision: 122973
- 1.3a (Major feature enhancements)

* Tue Dec 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2a-1mdv2007.1
+ Revision: 90856
- 1.2a (Major bugfixes)

* Tue Oct 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2007.1
+ Revision: 65698
- fix release
- 1.2
- rediffed P0
- bzip2 cleanup
- bunzip patches
- Import libevent

* Sat Aug 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1b-1mdv2007.0
- 1.1b

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1a-1mdv2007.0
- rebuild

* Sat Oct 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1a-1mdk
- 1.1a

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdk
- 1.1

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0e-1mdk
- 1.0e
- drop the shared patch, it's implemented upstream
- use version-info only (P0)
- use the official major

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0c-1mdk
- 1.0c
- use the %%mkrel macro
- rediff P0
- fix requires-on-release

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0b-1mdk
- 1.0b

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0a-1mdk
- 1.0a
- added the sig

* Mon Dec 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-1mdk
- 1.0
- added P0 after peeking at the package by PLD

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9-1mdk
- 0.9
- nuke redundant provides
- misc spec file fixes

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- 0.8
- drop the patch, it's included
- use the %%configure2_5x macro

